# !usr/bin/env python
# -*- coding: UTF-8 -*-

#############################################################
#        Copyright (c), 2015-2020, 武汉禾大科技有限公司
#                    All Rights Reserved
# @author   Levi
# @version  1.0.0
# @brief    命令枚举
#
#  History:
#      <author>     <time>     <version>   <desc>
#       Levi      2010-05-07     1.0.0    命令枚举
#############################################################


__version__ = "1.0.0"


__all__ = [
]


"""
# 常量
"""


"""
# 枚举
"""
class CommandEnum(object):
    OSS_FILE_UPLOAD_TO_GCS             = "ossFileUploadToGcs"
    OSS_FILE_DOWNLOAD_FROM_GCS         = "ossFileDownloadFromGcs"
    OSS_FILE_UPLOAD_TO_ASSETS          = "ossFileUploadToAsstes"
    OSS_FILE_DOWNLOAD_FROM_ASSETS      = "ossFileDownloadFromAssets"
    OSS_FILE_DOWNLOAD_FROM_DATASETS    = "ossFileDownloadFromDatasets"
    OSS_FILE_DOWNLOAD_IMAGE_FILE       = "ossFileDownloadImageFile"
    OSS_FILE_DELETE                    = "ossFileDelete"
    RECENT_QUERY_DATE                  = "recentQueryDate"
    RECEIVE_CMD                        = "receiveCmd"


"""
# 全局变量
"""



