# !usr/bin/env python
# -*- coding: UTF-8 -*-

#############################################################
#        Copyright (c), 2015-2020, 武汉禾大科技有限公司
#                    All Rights Reserved
# @author   Eason
# @version  1.0.0
# @brief    随机数生成
# @address
#
#  History:
#      <author>     <time>     <version>   <desc>
#       Eason     2020-05-21     1.0.0   随机数
#############################################################

import uuid

__version__ = "1.0.0"


__all__ = [
    "generate"
]


"""
# 常量
"""


"""
# 枚举
"""


"""
# 全局变量
"""


def generate(length=0):
    """
    生成随机数
    :param length: 随机数长度
    :return:
    """
    result = ""

    for i in range(0, length, 32):
        uid = str(uuid.uuid4()).replace("-", "")

        if length > 0:
            uid = uid[0: (length - i)]

        result += uid

    return result


if __name__ == '__main__':
    result = generate(35)
    pass
